<?php
if (function_exists('ini_set'))	ini_set('error_reporting', 'E_ALL & ~E_NOTICE');


		$bezahlen_safetypay_sql="SELECT * FROM ".$storedit."_bezahlen WHERE bezahlen_ID='16'";
		$bezahlen_safetypay_query=mysqli_query($db_mysqli, $bezahlen_safetypay_sql);
		$bezahlen_safetypay=mysqli_fetch_array($bezahlen_safetypay_query);
		
		$api_schluessel_safetypay=$bezahlen_safetypay['zusatz_bezahlarten'];
		$signatur_schluessel_safetypay=$bezahlen_safetypay['zusatz_bezahlarten_zwei'];
		$testmodus_safteypay=$bezahlen_safetypay['zusatz_bezahlarten_drei'];
		if($testmodus_safteypay=="1")
		{
			$testmodus_safteypay="1";
		}
		else 
		{
			$testmodus_safteypay="0";
		}
		
		define("API_SCHLUESSEL",$api_schluessel_safetypay);
		define("SIGNATUR_SCHLUESSEL",$signatur_schluessel_safetypay);
		define("SAFTEYPAY_TESTMODUS",$testmodus_safteypay);

		$url_hier= "http://".$_SERVER["HTTP_HOST"].$_SERVER["SCRIPT_NAME"];
		$url_hier=eregi_replace("SafetyPay-Modul/SafetyPayCheck.php","",$url_hier);
		$url_hier=eregi_replace("SafetyPay-Modul/SafetyPayBezahlen.php","",$url_hier);
		$url_hier=eregi_replace("SafetyPay-Modul/SafetyPayPOST.php","",$url_hier);
		$url_hier=eregi_replace("SafetyPay-Modul/SafetyPayTest.php","",$url_hier);
		//echo $url_hier;
		define("SAFETYPAY_URL_OKAY"		,$url_hier."kdlgin/kunden_list.php?safetypay=okay");
		define("SAFETYPAY_URL_FEHLER"	,$url_hier."kdlgin/kunden_list.php?safetypay=fehler");
		
		
//echo API_SCHLUESSEL."-<br>".$api_schluessel_safetypay."-<br>".SIGNATUR_SCHLUESSEL."-<br>".$signatur_schluessel_safetypay."-<br>".SAFTEYPAY_TESTMODUS."-<br>".$testmodus_safteypay."-<br>";
require_once('SafetyPayNusoap.php');
require_once('SafetyPaySha256.inc.php');

class SafetyPayProxy
{
	var $confProxy = array();

    /* Contructor */
    function SafetyPayProxy()
    {
    	$this->confProxy['ApiKey'] 				= API_SCHLUESSEL;				// API Key		: Set your Test/Prod Credential. Get or Generate your own keys in the MMS, option: Profile > Credentials
    	$this->confProxy['SignatureKey']		= SIGNATUR_SCHLUESSEL;				// Signature Key: Set your Test/Prod Credential. Get or Generate your own keys in the MMS, option: Profile > Credentials
		$this->confProxy['Environment']			= SAFTEYPAY_TESTMODUS;												// Set 1: For Test (Sandbox); 0: For Production Environment
		$this->confProxy['CurrencyCode']		= 'EUR';											// Set Currency Code (USD, PEN, MXN, EUR, etc.). Register your Default Currency market products, this must match your Bank Account Affiliate. MMS, option: Profile > Bank Accounts.
		$this->confProxy['Language']			= 'DE';												// Set ISO Code Language (EN, ES, DE, etc.).
		$this->confProxy['Protocol']			= 'https';											// Set Communication Protocol (Only: 'http' or 'https')
		$this->confProxy['LoadCertificate']		= '0';												// Use cURL SSL Connections with Local Certificate?. Set '1'=Yes; '0'=No;
		$this->confProxy['ExpirationTime']		= 15;												// Token Expiration Time (in minutes, only for SafetyPay Express Mode)
		$this->confProxy['TransactionOkURL']	= SAFETYPAY_URL_OKAY;	// Choose a URL for Return at message of sucessfully process. Please Confirm its URL
		$this->confProxy['TransactionErrorURL']	= SAFETYPAY_URL_FEHLER;		// Choose a URL for Return at message of incomplete process. Please Confirm its URL

		$this->confProxy['RequestDateTime']		= $this->getDateIso8601(time());					// Request Date Time
		$this->confProxy['HeaderWS']			= '<RequesterCredentials xmlns="SaftpayMerchant v.2.2"><ApiKey>' . $this->confProxy['ApiKey'] . '</ApiKey></RequesterCredentials>';
		$this->confProxy['CertificateLocal']	= getcwd() . '/certificate/ca-bundle-safetypay.crt';

		if ($this->confProxy['Environment'])
			$this->confProxy['WsdlURL']			= strtolower($this->confProxy['Protocol']) . '://secure.saftpay.com/Prod_QAS/WebServices/v2.2/Merchants/MerchantWS.asmx';
		else
			$this->confProxy['WsdlURL']			= strtolower($this->confProxy['Protocol']) . '://secure.saftpay.com/prod/WebServices/v2.2/Merchants/MerchantWS.asmx';
    }

	/* Get Current Date in UNIX Timestamp */
	function getDateIso8601($int_date)
	{
		$date_mod 		= date('Y-m-d\TH:i:s', $int_date);
		$pre_timezone	= date('O', $int_date);
		$time_zone		= substr($pre_timezone, 0, 3) . ':' . substr($pre_timezone, 3, 2);
		$pos = strpos($time_zone, "-");
		if (PHP_VERSION >= '4.0')
			if ($pos === false)
			{
				// nothing
			}
			else
				if ($pos != 0)
					$date_mod = $time_zone;
		else
			if (is_string($pos) && !$pos)
			{
					// nothing
			}
			else
				if ($pos != 0)
				$date_mod = $time_zone;

		return $date_mod;
	}

	/* Dynamic Change of Keys */
	function ChangeKeys($sApiKey = '', $sSignatureKey = '')
	{
		if ($sApiKey!='')		$this->confProxy['ApiKey'] = $sApiKey;
		if ($sSignatureKey!='')	$this->confProxy['SignatureKey'] 	= $sSignatureKey;
		$this->confProxy['HeaderWS']	= '<RequesterCredentials xmlns="SaftpayMerchant v.2.2"><ApiKey>' . $this->confProxy['ApiKey'] . '</ApiKey></RequesterCredentials>';

		return true;
	}

	/* Get Proxy Method */
	function GetProxy()
	{
		$soap = new nusoap_client($this->confProxy['WsdlURL'] . '?WSDL', 'wsdl');
		$soap->setHeaders($this->confProxy['HeaderWS']);
		if ($this->confProxy['LoadCertificate'] == '1')	$soap->certRequest['cainfofile'] = $this->confProxy['CertificateLocal'];
		$err = $soap->getError();
		if ($err)	echo 'Error: <pre>' . $err . '</pre>';

		return $soap;
	}

	/* Communication Test Method */
	function CommunicationTest()
	{
		$param = array('CommunicationTestRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('CommunicationTest', $param, '', '', false, true);

		if($error = $soap->getError()){ die('Error: ' . $error);}

		if  ($Result['CommunicationTestResult']['ErrorManager']['ErrorNumber'] == '0')
			$response = 'Communication Successful!';
		else
			$response = 'Error: ' . $Result['CommunicationTestResult']['ErrorManager']['ErrorNumber'] . ' - ' . $Result['CommunicationTestResult']['ErrorManager']['Description'];

		return $response;
	}

	/* Calculation Quote Method */
	function CalculationQuote($CurrencyCode,$Amount,$ToCurrencyCode)
	{
		$param = array('FxCalculationQuoteRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'CurrencyCode' => $CurrencyCode,
							'Amount' => $Amount,
							'ToCurrencyCode' => $ToCurrencyCode,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$CurrencyCode.$Amount.$ToCurrencyCode.$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('FxCalculationQuote', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}

		return $Result['FxCalculationQuoteResult'];
	}

	/* Create Express Token Method */
	function CreateExpressToken($CurrencyCode,$Amount,$MerchantReferenceNo,$Language,$TrackingCode,$TransactionOkURL,$TransactionErrorURL)
	{
		$param = array('CreateExpressTokenRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'ExpressInfo' => array(
									'CurrencyCode' => $CurrencyCode,
									'Amount' => $Amount,
									'MerchantReferenceNo' => $MerchantReferenceNo,
									'Language' => $Language,
									'TrackingCode' => $TrackingCode,
									'ExpirationTime' => $this->confProxy['ExpirationTime'],
									'TransactionOkURL' => $TransactionOkURL,
									'TransactionErrorURL' => $TransactionErrorURL),
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$CurrencyCode.$Amount.$MerchantReferenceNo.$Language.$TrackingCode.$this->confProxy['ExpirationTime'].$TransactionOkURL.$TransactionErrorURL.$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();

		$Result = $soap->call('CreateExpressToken', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}
		return $Result['CreateExpressTokenResult'];
	}

	/* Create Transaction Method */
	function CreateTransaction($CurrencyCode,$Amount,$ToCurrencyCode,$MerchantReferenceNo,$Language,$FxCalculationQuoteReferenceNo,$TrackingCode,$BankID,$TransactionOkURL,$TransactionErrorURL)
	{
		$param = array('CreateTransactionRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'CurrencyCode' => $CurrencyCode,
							'Amount' => $Amount,
							'ToCurrencyCode' => $ToCurrencyCode,
							'MerchantReferenceNo' => $MerchantReferenceNo,
							'Language' => $Language,
							'FxCalculationQuoteReferenceNo' => $FxCalculationQuoteReferenceNo,
							'TrackingCode' => $TrackingCode,
							'BankID' => $BankID,
							'TransactionOkURL' => $TransactionOkURL,
							'TransactionErrorURL' => $TransactionErrorURL,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$CurrencyCode.$Amount.$ToCurrencyCode.$MerchantReferenceNo.$Language.$FxCalculationQuoteReferenceNo.$TrackingCode.$BankID.$TransactionOkURL.$TransactionErrorURL.$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('CreateTransaction', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}

		return $Result['CreateTransactionResult'];
	}


	/* Get Banks Method */
	function GetBanks($CurrencyCode)
	{
		$param = array('GetBanksRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'CurrencyCode' => $CurrencyCode,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('GetBanks', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}

		return $Result['GetBanksResult'];
	}


	/* Get Currencies Method */
	function GetCurrencies($Language, $PreferredToCurrencyCode, $ShopperIP = '')
	{
		$param = array('GetCurrenciesRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'Language' => $Language,
							'PreferredToCurrencyCode' => $PreferredToCurrencyCode,
							'ShopperIP' => $ShopperIP,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('GetCurrencies', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}

		return $Result['GetCurrenciesResult'];
	}

	/* Get New Paid Orders Method */
	function GetNewPaidOrders()
	{
		$param = array('GetNewPaidOrdersRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('GetNewPaidOrders', $param, '', '', false, true);

		if($error = $soap->getError()){ die($error);}

		return $Result['GetNewPaidOrdersResult'];
	}

	/* Confirm New Paid Orders Method */
	function ConfirmNewPaidOrders($Items)
	{
		$ItemsPlain = '';
		foreach ($Items['Items'] as $key => $value) {
			$ItemsPlain .= $value['ReferenceNo'].$value['MerchantOrderNo'].$value['IssueCode'];
		}
		$param = array('ConfirmNewPaidOrdersRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'ListOfNewPaidOrders' => $Items,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$ItemsPlain.$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('ConfirmNewPaidOrders', $param, '', '', false, true);
		if($error = $soap->getError()){ die($error);}

		return $Result['ConfirmNewPaidOrdersResult'];
	}

	/* Confirm Shipped Orders Method */
	function ConfirmShippedOrders($ShippingDetail)
	{
		$ItemsPlain = '';
		foreach ($ShippingDetail as $value) {	$ItemsPlain .= $value;	}
		$param = array('ConfirmShippedOrderRequest' => array(
							'RequestDateTime' => $this->confProxy['RequestDateTime'],
							'ShippingDetail' => $ShippingDetail,
							'Signature' => SHA256::safetypay_sha256($this->confProxy['RequestDateTime'].$ItemsPlain.$this->confProxy['SignatureKey'])));

		$soap = $this->GetProxy();
		$Result = $soap->call('ConfirmShippedOrder', $param, '', '', false, true);
		if($error = $soap->getError()){ die($error);}

		return $Result['ConfirmShippedOrderResult'];
	}
}
?>
