<?PHP
#####################################
# Copyright 2020 StorEdit, Christian Thter				#
# Dieser Copyrighthinweis darf nicht entfernt werden! #
#####################################
@session_start();

if(!defined("ROOTDIR"))
{
	if(is_file("zudb/config.inc.php"))
	{
		define("ROOTDIR","");
	}
	else
	{
		define("ROOTDIR","../");
	}
}

include(ROOTDIR."files/fehlermeldungen.inc.php");

$_SESSION['vorherige_seite']="kdlgin/kunden_list.php";
//Verbindung zur Datenbank aufnehmen
include(ROOTDIR."zudb/config.inc.php");
include_once(ROOTDIR."shop/shop_einstellungen_und_texte.inc.php");
include(ROOTDIR."kdlgin/kunden_einstellungen_und_texte.inc.php");

include_once(ROOTDIR."files/funktionen.inc.php");

if(!isset($fehlermeldung_kreditkarte))
{
	$fehlermeldung_kreditkarte="";
}

if(isset($_REQUEST['nummer']))//fr Sofortberweisung
{
	$hash_eins=$_REQUEST['pruefung_eins'];
	$bestellnummer=strip_tags($_REQUEST['nummer']);

	$sofortueberweisung_sql="SELECT * FROM ".$storedit."_bezahlen WHERE bezahlen_ID='10'";
	$sofortueberweisung_query=mysqli_query($db_mysqli, $sofortueberweisung_sql);
	$sofortueberweisung=mysqli_fetch_array($sofortueberweisung_query);
	$sofortueberweisung_projekt_passwort=$sofortueberweisung['bezahlen_text_ende_moneybookers_status_null'];

	$bestellung_sql="SELECT * FROM ".$storedit."_bestellungen WHERE bestellNr='$bestellnummer'";
	$bestellung_query=mysqli_query($db_mysqli, $bestellung_sql);
	$bestellung=mysqli_fetch_array($bestellung_query);

	$checksumme=$bestellung['pruefsumme'];

	$hash_eins_kontrolle=md5($checksumme.$bestellnummer);
	//echo $hash_eins_kontrolle."<BR>";
	$hash_eins_kontrolle=md5($hash_eins_kontrolle.$sofortueberweisung_projekt_passwort);


	if($hash_eins==$hash_eins_kontrolle)
	{
		//echo "okay, bezahlt";
		$update_bezahlt_sql="UPDATE ".$storedit."_bestellungen SET bezahlt='bezahlt' WHERE bestellNr='$bestellnummer'";
		//$update_bezahlt_query=mysqli_query($db_mysqli, $update_bezahlt_sql);

		$bestellnummer_die_bezahlt_wurde=$bestellnummer;
		include(ROOTDIR."shop/inc/email_verschicken_wenn_bestellung_bezahlt_wurde.inc.php");


		//automatischen Gutschein freischalten
		$update_freischalten_sql="UPDATE ".$storedit."_gutscheine SET gutschein_wann_freischalten='' WHERE gutschein_name='$bestellnummer'";
		$update_freischalten_query=mysqli_query($db_mysqli, $update_freischalten_sql);

	}
	else
	{
		//echo "nicht bezahlt";
	}
		//echo $bestellnummer."-<BR>".$hash_eins."-<BR>".$hash_eins_kontrolle."-<BR>".$sofortueberweisung_projekt_passwort;
}

if(isset($_GET['wirecard_zurueck']))
{
	if($_GET['wirecard_zurueck']=="1")
	{
		//bezahlung
		include(ROOTDIR."shop/wirecard-return.php");
	}
	elseif($_GET['wirecard_zurueck']=="2")
	{
		//nicht bezahle (cancel)
		$fehlermeldung_kreditkarte="Die Bezahlung wurde nicht durchgefhrt.<br>Bitte informieren Sie den Shopbetreiber";
	}
	elseif($_GET['wirecard_zurueck']=="3")
	{
		//Fehler beim bezahlen
		$fehlermeldung_kreditkarte="Es ist ein Fehler aufgetreten.<br>Bitte informieren Sie den Shopbetreiber";
	}
}

include(ROOTDIR."kdlgin/check.php");

if (isset($_REQUEST['action']))
{
	$act=strip_tags($_REQUEST['action']);
}
else
{
	$act="";
}


if ($act == "speichern")
{
	$fehlermeldung="";
	$anrede=strip_tags($_REQUEST['anrede']);
	$name=strip_tags($_REQUEST['name']);
	if ($name=="")
	{
		$fehlermeldung.=$kunde_fehlermeldung_name."<br>";
	}

	$vorname=strip_tags($_REQUEST['vorname']);
	if ($vorname=="")
	{
		$fehlermeldung.=$kunde_fehlermeldung_name."<br>";

	}
	$vorname=strip_tags($_REQUEST['vorname']);
	$addr=strip_tags($_REQUEST['addr']);
	if ($addr=="")
	{
		$fehlermeldung.=$kunde_fehlermeldung_strasse."<br>";


	}
	$plz_ort=strip_tags($_REQUEST['plz_ort']);
	if ($plz_ort=="")
	{
		$fehlermeldung.=$kunde_fehlermeldung_plz_ort."<br>";


	}
	$land=strip_tags($_REQUEST['land']);
	$email=strip_tags($_REQUEST['email']);
	if ($email=="")
	{
		$fehlermeldung.=$kunde_fehlermeldung_email."<br>";
	}

	//if(!preg_match("/(\w+)@(\w+)\.(\w+)/",$email))


	$regex = "/^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)+/";

	//$regex = '/^[\w][\w-.]+@[\w-.]+\.[\w+]/';
	if (preg_match($regex,$email))
	{
	//	echo "emailadresse okay";
	}
	else
	{
		//$fehler="Bitte geben Sie eine korrekte Email Adresse ein!";
		$fehlermeldung.=$kunde_fehlermeldung_email."<br>";
	}




	if($fehlermeldung!="")
	{
		include("kunden_edit.php");
		exit;
	}



	$tel=strip_tags($_REQUEST['tel']);
	$mobil=strip_tags($_REQUEST['mobil']);
	$fax=strip_tags($_REQUEST['fax']);
	$bezahlen=strip_tags($_REQUEST['bezahlen']);
	$bank=strip_tags($_REQUEST['bank']);
	$blz=strip_tags($_REQUEST['blz']);
	$konto=strip_tags($_REQUEST['konto']);
	$liefer_anrede=strip_tags($_REQUEST['liefer_anrede']);
	$liefer_name=strip_tags($_REQUEST['liefer_name']);
	$liefer_strasse=strip_tags($_REQUEST['liefer_strasse']);
	$liefer_ort=strip_tags($_REQUEST['liefer_ort']);
	$liefer_land=strip_tags($_REQUEST['liefer_land']);
	$steuernummer=strip_tags($_REQUEST['steuernummer']);
	$firmenname=strip_tags($_REQUEST['firmenname']);

	$liefer_firma=strip_tags($_REQUEST['liefer_firma']);
	$liefer_adresszusatz_eins=strip_tags($_REQUEST['liefer_adresszusatz_eins']);
	$liefer_adresszusatz_zwei =strip_tags($_REQUEST['liefer_adresszusatz_zwei']);
	$liefer_telefon=strip_tags($_REQUEST['liefer_telefon']);
	$adresszusatz_eins=strip_tags($_REQUEST['adresszusatz_eins']);
	$adresszusatz_zwei =strip_tags($_REQUEST['adresszusatz_zwei']);

		$liefer_firma=mysql_maskierte_variablen($db_mysqli,$liefer_firma);
		$liefer_adresszusatz_eins=mysql_maskierte_variablen($db_mysqli,$liefer_adresszusatz_eins);
		$liefer_adresszusatz_zwei =mysql_maskierte_variablen($db_mysqli,$liefer_adresszusatz_zwei);
		$liefer_telefon=mysql_maskierte_variablen($db_mysqli,$liefer_telefon);
		$adresszusatz_eins=mysql_maskierte_variablen($db_mysqli,$adresszusatz_eins);
		$adresszusatz_zwei =mysql_maskierte_variablen($db_mysqli,$adresszusatz_zwei);
		$liefer_anrede=mysql_maskierte_variablen($db_mysqli,$liefer_anrede);
		$firmenname=mysql_maskierte_variablen($db_mysqli,$firmenname);
		$steuernummer=mysql_maskierte_variablen($db_mysqli,$steuernummer);
		$anrede=mysql_maskierte_variablen($db_mysqli,$anrede);
		$name=mysql_maskierte_variablen($db_mysqli,$name);
		$vorname=mysql_maskierte_variablen($db_mysqli,$vorname);
		$addr=mysql_maskierte_variablen($db_mysqli,$addr);
		$plz_ort=mysql_maskierte_variablen($db_mysqli,$plz_ort);
		$land=mysql_maskierte_variablen($db_mysqli,$land);
		$email=mysql_maskierte_variablen($db_mysqli,$email);
		$tel=mysql_maskierte_variablen($db_mysqli,$tel);
		$mobil=mysql_maskierte_variablen($db_mysqli,$mobil);
		$fax=mysql_maskierte_variablen($db_mysqli,$fax);
		$bezahlen=mysql_maskierte_variablen($db_mysqli,$bezahlen);
		$bank=mysql_maskierte_variablen($db_mysqli,$bank);
		$blz=mysql_maskierte_variablen($db_mysqli,$blz);
		$konto=mysql_maskierte_variablen($db_mysqli,$konto);
		$liefer_anrede=mysql_maskierte_variablen($db_mysqli,$liefer_anrede);
		$liefer_name=mysql_maskierte_variablen($db_mysqli,$liefer_name);
		$liefer_strasse=mysql_maskierte_variablen($db_mysqli,$liefer_strasse);
		$liefer_ort=mysql_maskierte_variablen($db_mysqli,$liefer_ort);
		$liefer_land=mysql_maskierte_variablen($db_mysqli,$liefer_land);

	$kunden_SQL_update="UPDATE ".$storedit."_kunden SET liefer_firma='$liefer_firma',liefer_adresszusatz_eins='$liefer_adresszusatz_eins',liefer_adresszusatz_zwei ='$liefer_adresszusatz_zwei',liefer_telefon='$liefer_telefon',adresszusatz_eins='$adresszusatz_eins',adresszusatz_zwei ='$adresszusatz_zwei',liefer_anrede='$liefer_anrede', firmenname='$firmenname',steuernummer='$steuernummer',anrede='$anrede',name='$name',vorname='$vorname',addr='$addr',plz_ort='$plz_ort',land='$land',email='$email',tel='$tel',mobil='$mobil',fax='$fax',bezahlen='$bezahlen',bank='$bank',blz='$blz',konto='$konto',liefer_anrede='$liefer_anrede',liefer_name='$liefer_name',liefer_strasse='$liefer_strasse',liefer_ort='$liefer_ort',liefer_land='$liefer_land' WHERE kundenNr='$_SESSION[kdNr]' AND kunden_kennwort='$_SESSION[kd_passwort]'";
	$bool=mysqli_query($db_mysqli, $kunden_SQL_update);
	if($bool==1)
	{
		//echo "<SCRIPT LANGUAGE=JavaScript>window.alert('".$kunde_text_daten_gespeichert."')</SCRIPT>";
		$fehlermeldung_kreditkarte.=$kunde_text_daten_gespeichert;
	}
	else
	{
		echo "<SCRIPT LANGUAGE=JavaScript>window.alert('".$kunde_text_daten_speichern_fehlgeschlagen."')</SCRIPT>";
		$fehlermeldung_kreditkarte.=$kunde_text_daten_speichern_fehlgeschlagen;
	}
}
elseif ($act=="storno")
{
	$rechnungsnr=strip_tags($_REQUEST['rechnungsnr']);
	$rechnungsnr=mysql_maskierte_variablen($db_mysqli,$rechnungsnr);

	$stornieren=str_replace("JA","ja",strip_tags($_REQUEST['stornieren']));
	$stornieren=str_replace("Ja","ja",strip_tags($stornieren));
	$stornieren=str_replace("jA","ja",strip_tags($stornieren));



	$kunden_nummer_hohlen_sql="SELECT * FROM ".$storedit."_bestellungen  WHERE bestellNr='$rechnungsnr' ";
	$kunden_nummer_hohlen_query=mysqli_query($db_mysqli, $kunden_nummer_hohlen_sql);
	$kunden_nummer_hohlen=mysqli_fetch_array($kunden_nummer_hohlen_query);

	$kundennummer_geholt=$kunden_nummer_hohlen['kundenNr'];
	$kunden_nummer_ge_logint=$_SESSION['kdNr'];

	if($kundennummer_geholt==$kunden_nummer_ge_logint)
	{
		if ($stornieren=="ja")
		{

			$kunden_SQL_update="UPDATE ".$storedit."_bestellungen SET rechnungs_status='storno' WHERE bestellNr='$rechnungsnr'";
			$bool=mysqli_query($db_mysqli, $kunden_SQL_update);
			if($bool==1) echo "<SCRIPT LANGUAGE=JavaScript>window.alert('".$kunden_storno_meldung."')</SCRIPT>";

			$hohle_warenausgang_sql="SELECT * FROM ".$storedit."_warenausgang WHERE bestellNr='$rechnungsnr'";
			$hohle_warenausgang_query=mysqli_query($db_mysqli, $hohle_warenausgang_sql);
			while($hohle_warenausgang=mysqli_fetch_array($hohle_warenausgang_query))
			{
				//echo "Rechnungsnummer:".$hohle_warenausgang['bestellNr']."<br>Stckzahl:".$hohle_warenausgang['stueck']."<br>Artikelnummer:".$hohle_warenausgang['artikelNr'];
				$artikelnummer_warenausgang=$hohle_warenausgang['artikelNr'];
				$anzahl_warenausgang=$hohle_warenausgang['stueck'];
				$update_warenbestand_sql="UPDATE ".$storedit."_artikel SET artikelbestand=artikelbestand + '$anzahl_warenausgang' WHERE artikelNr='$artikelnummer_warenausgang'";
				$update_warenbestand_query=mysqli_query($db_mysqli, $update_warenbestand_sql);
				//echo "UPdate:".$update_warenbestand_query;


				$bestellNr=$hohle_warenausgang['bestellNr'];
				$artikelNr=$hohle_warenausgang['artikelNr'];
				$eigene_artikelNr=$hohle_warenausgang['eigene_artikelNr'];
				$netto_preis=$hohle_warenausgang['netto_preis'];
				$bezeichnung=$hohle_warenausgang['bezeichnung'];
				$stueck=$hohle_warenausgang['stueck'];
				$artikel_variante1=$hohle_warenausgang['artikel_variante1'];
				$artikel_variante2=$hohle_warenausgang['artikel_variante2'];
				$artikel_variante3=$hohle_warenausgang['artikel_variante3'];
				$artikel_variante4=$hohle_warenausgang['artikel_variante4'];
				$artikel_variante5=$hohle_warenausgang['artikel_variante5'];
				$facto_export_id=$hohle_warenausgang['facto_export_id'];
				$warenausgang_id=$hohle_warenausgang['aktiveID'];
				$storno_durch_wen="Storno durch den Kunden";


				$artikel_daten_in_den_wareneingang_sql="INSERT INTO ".$storedit."_wareneingang_durch_storno_oder_ruecksendungen

					(bestellNr,artikelNr,eigene_artikelNr,netto_preis,bezeichnung,stueck,artikel_variante1,artikel_variante2,artikel_variante3,artikel_variante4,artikel_variante5,facto_export_id,warenausgang_id,storno_durch_wen)
				VALUES ('$bestellNr','$artikelNr','$eigene_artikelNr','$netto_preis','$bezeichnung','$stueck','$artikel_variante1','$artikel_variante2','$artikel_variante3','$artikel_variante4','$artikel_variante5','$facto_export_id','$warenausgang_id','$storno_durch_wen')";
				$update_warenbestand_query=mysqli_query($db_mysqli, $artikel_daten_in_den_wareneingang_sql);
			}


			$sql2 = "SELECT * FROM ".$storedit."_betreiberdaten";
			$erg2 = mysqli_query($db_mysqli, $sql2);
			$row2 = mysqli_fetch_object($erg2);


			$url_host="http://".$_SERVER['HTTP_HOST'];
			$text="Auftrag Nr:".$rechnungsnr." wurde storniert.\n\n".$url_host;

			$mailto=$row2->email_kopie_betreiber;
			$mail_subject="storno";

			$kundenNr=mysql_maskierte_variablen($db_mysqli,$_SESSION['kdNr']);
			$kunden_kennwort=mysql_maskierte_variablen($db_mysqli,$_SESSION['kd_passwort']);
			$rubrik_SQL="SELECT * FROM ".$storedit."_kunden WHERE kundenNr='$kundenNr' AND kunden_kennwort='$kunden_kennwort'";
			$rubrik_result=mysqli_query($db_mysqli, $rubrik_SQL);
			$rubrik=mysqli_fetch_array($rubrik_result);
			$vorname=$rubrik['vorname'];
			$name=$rubrik['name'];
			$firma=$rubrik['firmenname'];
			$kundenemail=$rubrik['email'];

			$to=$mailto;
			$absenderemail=$kundenemail;
			$sendername=$firma." ".$vorname." ".$name;
			$betreff=$mail_subject;
			$sendtext=$text;

			include_once '../include/swifter/lib/swift_required.php';
			$besondere_absende_email_sql="SELECT abender_emailadresse_spezial FROM ".$storedit."_sonstige_einstellungen_und_texte WHERE sonstige_einstellungen_id='1'";
			$besondere_absende_email_query=mysqli_query($db_mysqli, $besondere_absende_email_sql);
			$besondere_absende_email=mysqli_fetch_array($besondere_absende_email_query);
			if($besondere_absende_email['abender_emailadresse_spezial']!="")
			{
				$absenderemail=$besondere_absende_email['abender_emailadresse_spezial'];
				//bei manchen Webhostern z.B. Hosteurope muss die Absenderemail eine ganz bestimmt sein
				$replay = $absenderemail;
			}
			else
			{
				$absenderemail=$absenderemail;
				$replay=$absenderemail;
			}

			$message = Swift_Message::newInstance($betreff);
			$message->setReturnPath($to);
			$message->setReplyTo($replay);
			$message->setTo($to,$sendername);
			//$message->setCc($toCc,$toCcname);
			$message->setFrom($absenderemail,$sendername);



			$message->setBody('', 'text/html');
			$message->addPart($sendtext, 'text/plain');

			$transport = Swift_MailTransport::newInstance();
			$mailer = Swift_Mailer::newInstance($transport);

			if($row2->emaileinstellung_versand_per=="1")
			{
				$transport = Swift_SmtpTransport::newInstance($emaileinstellungen_smtpname, $emaileinstellungen_smtpport)
				->setUsername($emaileinstellungen_smtpusername)
				->setPassword($emaileinstellungen_smtppasswort);

			}
			else
			{
				$transport = Swift_MailTransport::newInstance();
			}

			if ($mailer->send($message))
			{
				//Email wurde gesendet, keine extra Ausgabe
				//echo "Email gesendet ".$gesendet_mit_was;
			}
			else
			{
				//Fehler beim senden der Email Extra Fehlermeldung ausgeben
				echo $setext_fehlermeldung_emailsenden."<br><br>".$gesendet_mit_was."-".$finish."<br>";
			}
		}
	}
	else
	{
		echo "Fehler beim Stornieren, keine Berechtigung!";
	}
}
elseif ($act=="passwort")
{
	$altes_passwort=strip_tags($_REQUEST['altes_passwort']);
	$neues_passwort=strip_tags($_REQUEST['neues_passwort_1']);
	$neues_passwort_2=strip_tags($_REQUEST['neues_passwort_2']);

	//wenn das alte Passwort leer ist
	if ($altes_passwort=="")
	{
		$fehlermeldung=  $kunde_passwort_aendern_fehlertext_kein_altes_passwort;
		include("kunden_passwort_edit.php");
		exit;
	}

	//wenn das neue Passwort leer ist
	if ($neues_passwort=="")
	{
		$fehlermeldung=  $kunde_passwort_aendern_fehlertext_kein_neues_passwort;
		include("kunden_passwort_edit.php");
		exit;
	}

	//ermittelt die Lnge des neuen Passwortes
	$passwort_laenge=strlen($neues_passwort);
	if ($passwort_laenge < 6)
	{
		$fehlermeldung=  $kunde_passwort_aendern_fehlertext_neuespasswort_zu_kurz;
		include("kunden_passwort_edit.php");
		exit;
	}

	//wenn das zweite neue Passwort leer ist
	if ($neues_passwort_2=="")
	{
		$fehlermeldung=  $kunde_passwort_aendern_fehlertext_kein_neues_passwort_zwei;
		include("kunden_passwort_edit.php");
		exit;
	}

	//wenn das neue Passwort nicht mit dem Wiederholungspasswort bereinstimmt
	if ($neues_passwort_2 != $neues_passwort)
	{
		$fehlermeldung=  $kunde_passwort_aendern_fehlertext_passworte_nicht_gleich;
		include("kunden_passwort_edit.php");
		exit;
	}

	//wenn beide neuen Passwrter gleich sind
	if ($neues_passwort==$neues_passwort_2)
	{
		$kunden_kennwort=$_SESSION['kd_passwort'];
		$altes_p=md5($altes_passwort);//altes Passwort verschlsseln

		//wenn das eingegebenen alte Passwort nicht mit dem richtigen alten bereinstimmt
		if ($altes_p != $kunden_kennwort)
		{
			$fehlermeldung= $kunde_passwort_aendern_fehlertext_kein_altes_passwort;
			include("kunden_passwort_edit.php");
			exit;
		}

		$neues_passwort_md5 = md5($neues_passwort);//neues Passwort verschlsseln

		//neues Passwort in der Kundendatenbank speichern
		$kunden_SQL_update="UPDATE ".$storedit."_kunden SET kunden_kennwort='$neues_passwort_md5' WHERE  kundenNr='$_SESSION[kdNr]'";
		$bool=mysqli_query($db_mysqli, $kunden_SQL_update);
		if($bool==1) echo "<SCRIPT LANGUAGE=JavaScript>window.alert('".$kunde_text_passwort_gespeichert."')</SCRIPT>";

		unset($_SESSION['kd_passwort']);
		include(ROOTDIR."kdlgin/index.php");
		exit;
	}
}

$rubrik_SQL="SELECT * FROM ".$storedit."_kunden WHERE kundenNr='$_SESSION[kdNr]' AND kunden_kennwort='$_SESSION[kd_passwort]'";
$rubrik_result=mysqli_query($db_mysqli, $rubrik_SQL);
$rubrik=mysqli_fetch_array($rubrik_result);

$bezahlen_ID=$rubrik['bezahlen'];

$bezahlen_SQL="SELECT * FROM ".$storedit."_bezahlen WHERE bezahlen_ID='$bezahlen_ID'";
$bezahlen_result=mysqli_query($db_mysqli, $bezahlen_SQL);
$bezahlen=mysqli_fetch_array($bezahlen_result);
$bezahlart_name=$bezahlen['bezahlen_name'];

$betreiberdaten_SQL="SELECT * FROM ".$storedit."_betreiberdaten WHERE betreiber_ID = 1";
$betreiberdaten_result=mysqli_query($db_mysqli, $betreiberdaten_SQL);
$betreiberdaten=mysqli_fetch_array($betreiberdaten_result);

$titel=$kunden_login_ueberschrift;
$ueberschrift_anzeigen="ja";
$meta_tag_noindex_nofollow="ja";
include_once(ROOTDIR . "files/htm_head.php");
?>
<TABLE BORDER="0" WIDTH="100%" cellSpacing="0" cellPadding="0" valign="top">
<TBODY>
<TR>
    <TD VALIGN=TOP>
<?PHP
$tabellen_titel="<table border=\"0\"  BORDER=\"0\" WIDTH=\"100%\" cellSpacing=\"0\" cellPadding=\"0\" valign=\"top\"><tr><td width=\"100%\"><SPAN class=\"title\">".$kunde_ueberschrift." ".$rubrik['vorname']." ".$rubrik['name']."</SPAN></td><td align='right'><a class=\"text\"   onclick=\"return div_zeige_bitte_warten();\" href=\"".ROOTDIR."logout.php\"><img src=\"".ROOTDIR."images/buttons/abmelden.png\" alt=\"\" border=\"0\"></a></td></tr></table>";

$tabellen_hintergrund_fuer="shop";

$titel="<a href=\"".ROOTDIR."kdlgin/kunden_list.php\" title=\"".$titel."\">".$titel."</a>";
include(ROOTDIR."files/tabelle_oben_breit.php");
?>
<?PHP if(isset($fehlermeldung_kreditkarte))
{
	if($fehlermeldung_kreditkarte!="")
	{

		?>
		<table class="text" border="0" style="border-collapse: collapse" bordercolor="#111111" width="100%"  height="48" align="center"  cellpadding="0" cellspacing="0">
		<tr><td width="10" height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_oben_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_oben_mitte.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_oben_rechts.png" width="10"></td></tr>
		<tr><td background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_mitte_links.png"></td><td background="<?PHP echo ROOTDIR;?>/images/tabellen/shop_meldungen_mitte_mitte.png">

		<span class="fehlermeldungen"><?PHP echo $fehlermeldung_kreditkarte;?></span>


		</td><td background="<?PHP echo ROOTDIR;?>/images/tabellen/shop_meldungen_mitte_rechts.png"></td></tr>
		<tr><td height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_unten_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_unten_mitte.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/shop_meldungen_unten_rechts.png"></td></tr>
		</table>
	    <?PHP
	}
}

?>
<table class="text" border="0" style="border-collapse: collapse" bordercolor="#111111" width="100%"  height="148" align="center"  cellpadding="0" cellspacing="0">
<tr><td><img src="<?PHP echo ROOTDIR;?>images/space.gif" alt="" height="5" width="5"></td><td></td><td><img src="<?PHP echo ROOTDIR;?>images/space.gif" alt="" height="10" width="5"></td></tr>
<tr><td></td><td>

<table class="text" border="0" style="border-collapse: collapse" bordercolor="#111111" width="100%"  height="148" align="center"  cellpadding="0" cellspacing="0">
<tr><td width="10" height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_mitte.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_rechts.png" width="10"></td><td width="10"></td><td width="10" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_mitte.png"></td><td width="10" height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_rechts.png"></td></tr>
<tr><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_links.png"></td><td valign="top" width="50%" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_mitte.png">

<table border="0" class="text" width="100%">
<tr><td  class="kunde-h1"><table cellpadding="0" cellspacing="0"><tr><td><img src="<?PHP echo ROOTDIR;?>images/kunde-h1.png" alt=""/></td><td>&nbsp;</td><td class="kunde-h1"><?PHP echo $kunde_rechnungsadresse;?></td></tr></table></td><td></td></tr>
<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png"></td></tr>
<tr><td></td><td></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_kundennummer;?></td><td class="kunde-text"><?PHP echo $rubrik['kundenNr'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_anrede;?></td><td class="kunde-text"><?PHP echo $rubrik['anrede']?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_name;?></td><td class="kunde-text"><?PHP echo $rubrik['vorname'];?> <?PHP echo $rubrik['name'];?></td></tr>


<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_adresszusatz_eins;?></td><td class="kunde-text"><?PHP echo $rubrik['adresszusatz_eins'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_adresszusatz_zwei;?></td><td class="kunde-text"><?PHP echo $rubrik['adresszusatz_zwei'];?></td></tr>


<tr><td class="kunde-form"><?PHP echo $kunde_strasse;?></td><td class="kunde-text"><?PHP echo $rubrik['addr'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_plz_ort;?></td><td class="kunde-text"><?PHP echo $rubrik['plz_ort'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_land;?></td><td class="kunde-text"><?PHP echo $rubrik['land'];?></td></tr>
<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png"></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_email;?></td><td class="kunde-text"><?PHP echo $rubrik['email'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_telefon;?></td><td class="kunde-text"><?PHP echo $rubrik['tel'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_mobil;?></td><td class="kunde-text"><?PHP echo $rubrik['mobil'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_fax;?></td><td class="kunde-text"><?PHP echo $rubrik['fax'];?></td></tr>
<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_bezahlarten_text;?></td><td class="kunde-text"><?PHP echo $bezahlart_name;?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_bezahlarten_text_name_bank;?></td><td class="kunde-text"><?PHP echo $rubrik['bank'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_bezahlarten_text_blz;?></td><td class="kunde-text"><?PHP echo $rubrik['blz'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_bezahlarten_text_konto;?></td><td class="kunde-text"><?PHP echo $rubrik['konto'];?></td></tr>
<tr><td></td></tr>
</table>

</td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_rechts.png"></td><td></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_mitte.png">
<table border="0" class="text" width="100%">
<tr><td class="kunde-h1"><table cellpadding="0" cellspacing="0"><tr><td><img src="<?PHP echo ROOTDIR;?>images/kunde-h1.png" alt=""/></td><td>&nbsp;</td><td class="kunde-h1"><?PHP echo $kunde_lieferadresse;?></td></tr></table></td><td></td></tr>

<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td></tr>
<tr><td>&nbsp;</td><td></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_lieferadresse_anrede;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_anrede'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_lieferadresse_name;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_name'];?></td></tr>

<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_liefer_firma;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_firma'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_liefer_adresszusatz_eins;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_adresszusatz_eins'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_liefer_adresszusatz_zwei;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_adresszusatz_zwei'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $personalisieren_neukunde_liefer_telefon;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_telefon'];?></td></tr>

<tr><td class="kunde-form"><?PHP echo $kunde_lieferadresse_strasse;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_strasse'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_lieferadresse_plz_ort;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_ort'];?></td></tr>
<tr><td class="kunde-form"><?PHP echo $kunde_lieferadresse_land;?></td><td class="kunde-text"><?PHP echo $rubrik['liefer_land'];?></td></tr>
<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td></tr>
<tr><td class="kunde-h1"><table cellpadding="0" cellspacing="0"><tr><td><img src="<?PHP echo ROOTDIR;?>images/kunde-h1.png" alt=""/></td><td>&nbsp;</td><td class="kunde-h1"><?PHP echo $kunde_zugangsdaten_text;?></td></tr></table></td><td>&nbsp;</td></tr>
<tr><td valign="top"  class="kunde-form"><?PHP echo $kunde_benutzername_text_eins;?></td><td class="kunde-text"><?PHP echo $rubrik['kundenNr'];?> <?PHP echo $kunde_benutzername_text_zwei;?></td></tr>
<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td><td align="right">
<form action="<?PHP echo ROOTDIR;?>kdlgin/kunden_passwort_edit.php?pos=0&alte_kundenNr=<?PHP echo $rubrik['kundenNr'];?>&action=edit" method="POST" onsubmit="return div_zeige_bitte_warten();">
<input type=image src="<?PHP echo ROOTDIR;?>images/buttons/passwort_aendern.png" alt="" BORDER="0" name=submit value=submit></form></td></tr>

<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td colspan="2" height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td></tr>
<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td><td align="right">
<form action="<?PHP echo ROOTDIR;?>kdlgin/kunden_edit.php?pos=0&alte_kundenNr=<?PHP echo $rubrik['kundenNr'];?>&action=edit" method="post" onsubmit="return div_zeige_bitte_warten();">
<input type=image src="<?PHP echo ROOTDIR;?>images/buttons/benutzerdaten_bearbeiten.png" alt="bearbeiten" BORDER="0" name=submit value=submit></form></td></tr>

</table>
</td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_rechts.png"></td></tr>
<tr><td height="10"background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_mitte.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_rechts.png"></td><td></td><td height="10"background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_links.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_mitte.png"></td><td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_rechts.png"></td></tr>
</table>

<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
<td>
<IMG HEIGHT="20" SRC="<?PHP echo ROOTDIR;?>images/space.gif" alt="">
</td>
</tr>
</table>

<table class="text" border="0" style="border-collapse: collapse" bordercolor="#111111" width="100%"  height="148" align="center"  cellpadding="0" cellspacing="0">
<tr>
	<td width="10" height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_links.png"></td>
	<td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_mitte.png"></td>
	<td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_oben_rechts.png" width="10"></td>
</tr>
<tr>
	<td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_mitte_links.png"></td>
	<td background="<?PHP echo ROOTDIR;?>/images/tabellen/kunden_mitte_mitte.png">
<table width="100%">
 	<tr>
          <TD colSpan="7" WIDTH="100%"  height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td>
    </tr>
<?PHP
$kdNr=$rubrik['kundenNr'];
$rechnung2_SQL="SELECT * FROM ".$storedit."_bestellungen WHERE kundenNr='$kdNr' ORDER BY datum DESC";
$rechnung2_result=mysqli_query($db_mysqli, $rechnung2_SQL);
while($rechnung2=mysqli_fetch_array($rechnung2_result))
{
?>
          <tr>
          <td align="left" CLASS="info" colspan=7>
          <table border="0" class="text" width="100%" cellpadding="0" cellspacing="0">
          <tr><td align="left" nowrap><span class="ueberschrift_tabelle_k_account"><?PHP echo $kunden_rechnungen_nr;?></span>&nbsp;&nbsp;</td><td>&nbsp;</td><td nowrap><span class="ueberschrift_tabelle_k_account"><?PHP echo $kunden_rechnungen_datum;?></span>&nbsp;&nbsp;</td><td nowrap><span class="ueberschrift_tabelle_k_account"><?PHP echo $kunden_rechnungen_betrag;?></span>&nbsp;&nbsp;</td>

          <?php
          if($se_kunden_status_anzeigen=="1")
          {
          	?>
          		<td nowrap colspan="3"><span class="ueberschrift_tabelle_k_account"><?PHP echo $kunden_rechnungen_status;?></span>&nbsp;&nbsp;</td></tr>
			<?php
          }
          ?>

          <tr>
          <td align="left" nowrap><?php echo $rechnung2['bestellNr'] ?>&nbsp;&nbsp;
          </td>
          <td width="5">&nbsp;</td><td width="80" nowrap><?PHP echo $rechnung2['rechnungs_tag'];?>.<?PHP echo $rechnung2['rechnungs_monat'];?>.<?PHP echo $rechnung2['rechnungs_jahr'];?>&nbsp;&nbsp;
		  </td><td nowrap>
            <?PHP
            $waehrung_SQL="SELECT waehrung FROM ".$storedit."_betreiberdaten WHERE betreiber_ID=1 ";
			$waehrung_result=mysqli_query($db_mysqli, $waehrung_SQL);
			$waehrung=mysqli_fetch_object($waehrung_result);

            $bestellNr=$rechnung2['bestellNr'];
            $umsatz_SQL="SELECT * FROM ".$storedit."_warenausgang WHERE bestellNr=$bestellNr ";
			$umsatz_result=mysqli_query($db_mysqli, $umsatz_SQL);
			$gesamtbetrag="0";
			while($umsatz=mysqli_fetch_array($umsatz_result))
			{
				$gesamtbetrag=$gesamtbetrag+((((($umsatz['netto_preis']*$umsatz['mwst'])/100)+ $umsatz['netto_preis'])*$umsatz['stueck']));
			}
            $umsatz_SQL="SELECT * FROM ".$storedit."_warenausgang_bezahlen WHERE bestellNr=$bestellNr ";
			$umsatz_result=mysqli_query($db_mysqli, $umsatz_SQL);
			$umsatz=mysqli_fetch_array($umsatz_result);
			$gesamtbetrag=$gesamtbetrag+$umsatz['bezahlen_preis'];
            $umsatz_SQL="SELECT * FROM ".$storedit."_warenausgang_versand WHERE bestellNr=$bestellNr ";
			$umsatz_result=mysqli_query($db_mysqli, $umsatz_SQL);
			$umsatz=mysqli_fetch_array($umsatz_result);
			$gesamtbetrag=$gesamtbetrag+$umsatz['versandkosten_preis'];

			$rechnung_gesamtbetrag=$rechnung2['gesammtpreis'];
			if ($rechnung_gesamtbetrag!="")
			{
				$gesamtbetrag=$rechnung2['gesammtpreis'];
			}

			printf("%.2f",$gesamtbetrag); echo "&nbsp;";echo $waehrung->waehrung;
			?>
			&nbsp;&nbsp;</td>

			<?php
          if($se_kunden_status_anzeigen=="1")
          {
          	?>
			<td nowrap><?PHP

			//anzeige des Rechnungsstatus mit ausgabe der im Admin gespeicherten entsprechenden Text

					if($rechnung2['rechnungs_status']=="storno")
					{
						echo $kunden_se_text_rechnungsstatus_storno;
					}
					elseif($rechnung2['rechnungs_status']=="neu")
					{
						echo $kunden_se_text_rechnungsstatus_neu;
					}
					elseif($rechnung2['rechnungs_status']=="arbeit")
					{
						echo $kunden_se_text_rechnungsstatus_arbeit;
					}
					elseif($rechnung2['rechnungs_status']=="bezahlt")
					{
						echo $kunden_se_text_rechnungsstatus_archiv;
					}
					else
					{
						echo $kunden_se_text_rechnungsstatus_neu;
					}

					//Anzeige ob bezahl oder nicht

					if($rechnung2['bezahlt']=="bezahlt")
					{
						echo $kunden_se_text_rechnungsstatus_bezahlt;
					}
					else
					{
						echo $kunden_se_text_rechnungsstatus_noch_nicht_bezahlt;
					}


			?>&nbsp;&nbsp;</td>
			<?php
          }
          ?>
			<td align="right" colspan="2" width="100%">

				<table border="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" align="right"  cellpadding="0" cellspacing="0">
					<tr>
						<td align="right">
							<?PHP
							if ($rechnung2['rechnungs_status']=="neu")
							{
								?>
								<a onclick="return div_zeige_bitte_warten();" href="<?PHP echo ROOTDIR;?>kdlgin/kunden_list1.php?action=storno&rechnungsnr=<?php echo $rechnung2['bestellNr'] ?>&email=<?PHP echo $rubrik['email'];?>">
								<img alt="<?PHP echo $kunden_storno_ueberschrift;?>" border="0" src="<?PHP echo ROOTDIR;?>images/buttons/storno.png"></a>
								<?PHP
							}
							elseif($rechnung2['rechnungs_status']=="storno")
							{
								 ?>
								 <img alt="<?PHP echo $kunden_storno_ueberschrift;?>" border="0" src="<?PHP echo ROOTDIR;?>images/buttons/best_storno_inaktiv.png">
								 <?PHP
							}
							else
							{
								 //bezahlt
								 echo "&nbsp; ";
							}

							?>
						</td>
					</tr>
					<?php


						if($system_kundenaccount_pdf_button_anzeigen=="ja")
						{
							?>
							<tr>
								<td height="3">
								</td>
							</tr>
							<tr>
								<td align="right">
									<a target="_blank" href="<?PHP echo ROOTDIR;?>kdlgin/download_pdf.php?id=<?PHP echo md5($bestellNr);?>"><img alt="" border="0" src="<?PHP echo ROOTDIR;?>/images/buttons/rechnung_online.png"></a>
								</td>
							</tr>
							<?php
						}

						if($rechnung2['qr_code_dateiname_des_pdf']!="")
						{
							if($rechnung2['rechnungs_status']!="storno")
							{
								?>
								<tr>
									<td height="3">
									</td>
								</tr>
								<tr>
									<td align="right">
									<a target="_blank" href="<?PHP echo ROOTDIR;?>shop/tkil/rechnungen/<?PHP echo $rechnung2['qr_code_dateiname_des_pdf'];?>"><img alt="eintrittskarten_button_download_pdf" border="0" src="<?PHP echo ROOTDIR;?>/images/buttons/eintrittskarten_button_download_pdf.png"></a>
									</td>
								</tr>
								<?php
							}
							else
							{
								?>
								<tr>
									<td height="3">
									</td>
								</tr>
								<tr>
									<td align="right">
									<img alt="eintrittskarten_button_download_pdf" border="0" src="<?PHP echo ROOTDIR;?>/images/buttons/button_online-ticket-inactiv.png">
									</td>
								</tr>
								<?php
							}
						}
					?>
				</table>

			</td>
         </tr>

<?PHP
$download_list="SELECT * FROM ".$storedit."_warenausgang WHERE bestellNr='$bestellNr'";
$download_sql=mysqli_query($db_mysqli, $download_list);
while ($download=mysqli_fetch_array($download_sql))
{
	$zeit=time();
	$downloadartikel=$download['downloadartikel'];
	$nummer_dieses_artikels=$download['artikelNr'];
	$warenausgang_aktivID=$download['aktiveID'];
	$artikelnummer=$download['artikelNr'];
	$stueck=$download['stueck'];
	$bezeichnung=$download['bezeichnung'];
    ?>
    <tr><td colspan="5" height="30" class="text">


    	<table border="0" width="100%">
    	<tr><td width="10">
    	<?PHP
    	$galleriebild_sql="SELECT * FROM ".$storedit."_artikel WHERE artikelNr='$download[artikelNr]'";
    	$galleriebild_query=mysqli_query($db_mysqli, $galleriebild_sql);
    	$galleriebild=mysqli_fetch_array($galleriebild_query);
    	$artikel_kategorie=$galleriebild['rubrik_ID'];
		$pdf_datenblatt_dateiname=$galleriebild['pdf_datenblatt'];
    	$galleriebild=$galleriebild['kelkoo_bild'];
    	if ($galleriebild=="")
    	{
	    	?><IMG SRC="<?PHP echo ROOTDIR;?>images/news_info/pfeil_orange.png">
	    	<?PHP
    	}
    	else
    	{
	    	?><a target="_blank" title="<?PHP echo strip_tags($download['bezeichnung']);?>" href="../shop/details.php?rubrik_ID=<?PHP echo $artikel_kategorie;?>&artikelNr=<?PHP echo $download['artikelNr'];?>"><img border="0" width="90" SRC="<?PHP echo ROOTDIR;?>shop/bilder/<?PHP echo $galleriebild;?>"></a>
	    	<?PHP
    	}
		?>
    		</td>
    		<td valign="top" class="text"><a target="_blank" title="<?PHP echo strip_tags($download['bezeichnung']);?>" href="../shop/details.php?rubrik_ID=<?PHP echo $artikel_kategorie;?>&artikelNr=<?PHP echo $download['artikelNr'];?>"><?PHP echo $download['bezeichnung'];?></a>
    		</td>
    	</tr>
    	</table>
    </td>
	<td colspan="2" align="right">
    <?PHP
    if ($downloadartikel!="")
    {
	    $rechnung_bezahlt=$rechnung2['bezahlt'];
	    //echo $rechnung_bezahlt;
	    if (($rechnung_bezahlt=="bezahlt" AND $download['anzahl_downloads']=="0")OR($sollen_downloadprodukte_sofort_freigeschaltet_werden=="ja" AND $download['anzahl_downloads']=="0"))
	    {
	        ?>
	        	<a target="_blank" href="<?PHP echo ROOTDIR;?>kdlgin/download.php?download_id=<?PHP echo $download['aktiveID'];?>&kundenNr=<?PHP echo $rubrik['kundenNr'];?>"><IMG   SRC="<?PHP echo ROOTDIR;?>images/buttons/download_start.png" border="0" alt="Download starten"></a>
	        <?PHP
	    }
	    else
	    {
		    ?>
		    	<IMG alt=""  SRC="<?PHP echo ROOTDIR;?>images/buttons/download_inaktiv.png">
		    <?PHP
	    }
    	if(($pdf_datenblatt_dateiname!="")AND ($pdf_pdatenblatt_im_kundenaccount=="ja"))
    	{
    		echo "<br>";
    	}
    }

	if(($pdf_datenblatt_dateiname!="")AND ($pdf_pdatenblatt_im_kundenaccount=="ja"))
	{
		?>
			<a target="_blank" href="<?PHP echo ROOTDIR;?>shop/bilder/<?PHP echo $pdf_datenblatt_dateiname;?>"><IMG   SRC="<?PHP echo ROOTDIR;?>images/buttons/pdf_datenblatt.png" border="0" alt="PDF Datenblatt"></a>

		<?PHP
	}
?>
	</td></tr>
<?PHP
	$hohle_verwendete_schluessel_sql="SELECT * FROM ".$storedit."_artikel_schluessel WHERE bestellnummer ='$bestellNr' AND artikelNr='$nummer_dieses_artikels'";
	$hohle_verwendete_schluessel_query=mysqli_query($db_mysqli, $hohle_verwendete_schluessel_sql);
	while($hohle_verwendete_schluessel=mysqli_fetch_array($hohle_verwendete_schluessel_query))
	{
		if(($artikel_schluessel_im_kundenbereich_anzeigen=="wenn_bezahlt")AND ($rechnung_bezahlt=="bezahlt"))
		{
			?>
				<tr valign="middle">
					<td colspan="2"></td>
					<td colspan="5"><?PHP echo $hohle_verwendete_schluessel['artikel_schluessel_text'];?></td>
				</tr>
			<?PHP
		}
		else
		{
			?>
				<tr valign="middle">
					<td colspan="2"></td>
					<td colspan="5"><?PHP echo $hohle_verwendete_schluessel['artikel_schluessel_text'];?></td>
				</tr>
			<?PHP
		}

	}


		$rechnung_bezahlt=$rechnung2['bezahlt'];
		$hohle_warenausgang_eintrittskarten_sql="SELECT * FROM ".$storedit."_warenausgang_eintrittskarten WHERE bestellnummer ='$bestellNr'  AND artikelNr='$artikelnummer' AND bezeichnung='$bezeichnung' AND stueck='$stueck'  ";
		//echo $hohle_warenausgang_eintrittskarten_sql;
		$hohle_warenausgang_eintrittskarten_query=mysqli_query($db_mysqli, $hohle_warenausgang_eintrittskarten_sql);
		while($hohle_warenausgang_eintrittskarten=mysqli_fetch_array($hohle_warenausgang_eintrittskarten_query))
		{
			if($rechnung_bezahlt=="bezahlt")
			{
				/*
				?>
								<tr valign="middle">
									<td colspan="2"></td>
									<td colspan="5"><img src="<?PHP echo $hohle_warenausgang_eintrittskarten['eintrittskarten_bild_qr_code_dateiname'];?>"></td>
									</tr>
					<?PHP
				*/
			}
		}
	}
?>
 </table></td></tr>
 	<tr>
          <TD colSpan="7" WIDTH="100%"  height="3" background="<?PHP echo ROOTDIR;?>images/tabellen/trenner_im_kundenteil.png" alt=""></td>
    </tr>
<?php

}
  ?>
    <tr>
    <td height="6" colspan="7" align="center">
    <IMG HEIGHT="1" SRC="<?PHP echo ROOTDIR;?>images/space.gif" WIDTH="1"></td>
  </tr>

  <tr>
    <td colspan="7" height="1" align="right" valign="bottom"><a class="text" onclick="return div_zeige_bitte_warten();" href="logout.php"><img src="<?PHP echo ROOTDIR;?>images/buttons/abmelden.png" alt="" border="0"></a></td>
  </tr>
  <tr>
    <td height="1" colspan="7">
</td>
  </tr>
</table>

	</td>
	<td background="<?PHP echo ROOTDIR;?>/images/tabellen/kunden_mitte_rechts.png"></td>
</tr>
<tr>
	<td height="10" background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_links.png"></td>
	<td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_mitte.png"></td>
	<td background="<?PHP echo ROOTDIR;?>images/tabellen/kunden_unten_rechts.png"></td>
</tr>
</table>


</td>
  </tr>
</table>
<?PHP
include(ROOTDIR."files/tabelle_unten_breit.php");
$ja_mit_infoboxen_rechts="nein";
include(ROOTDIR."files/footer_main.php");
?>