<?php
include("include/config.inc.php");

class ConfigurationHelper
{
	private static function getConfigValue($key){
		global $CONFIGURATION_VALUES;
		
		$configValue = $CONFIGURATION_VALUES[$key];     
		if($configValue)
			return $configValue;
		else{
			echo "Application setting's key ".$key." was expected but was not found!";
			exit;
		}   
	}
	
	public function GetMerchant(){
		return ConfigurationHelper::getConfigValue("MERCHANT");
	}
	public function GetShop(){
		return ConfigurationHelper::getConfigValue("SHOP");
	}
	public function GetCurrency(){
		return ConfigurationHelper::getConfigValue("CURRENCY");
	}
	public function GetCountry(){
		return ConfigurationHelper::getConfigValue("COUNTRY");
	}
	public function GetLanguage(){
		return ConfigurationHelper::getConfigValue("LANGUAGE");
	}	
	public function GetUsername(){
		return ConfigurationHelper::getConfigValue("USERNAME");
	}
	public function GetPassword(){
		return ConfigurationHelper::getConfigValue("PASSWORD");
	}
	public function GetReturnUrl(){
		return ConfigurationHelper::getConfigValue("RETURN_URL");
	}
	public function GetSuccessUrl(){
		return ConfigurationHelper::getConfigValue("SUCCESS_URL");
	}
	public function GetPendingUrl(){
		return ConfigurationHelper::getConfigValue("PENDING_URL");
	}
	public function GetErrorUrl(){
		return ConfigurationHelper::getConfigValue("ERROR_URL");
	}
	public function GetCancelUrl(){
		return ConfigurationHelper::getConfigValue("CANCEL_URL");
	}
	public function GetRefusedUrl(){
		return ConfigurationHelper::getConfigValue("REFUSED_URL");
	}
	public function GetXMLFilePath(){
		return ConfigurationHelper::getConfigValue("XML_PATH");
	}     
	public function GetWebServicePath(){
		return ConfigurationHelper::getConfigValue("SERVICE_PATH");
	}     
	public function GetPaymentResultsProcessingStrategy(){
		return ConfigurationHelper::getConfigValue("PAYMENT_RESULTS_PROCESSING_STRATEGY");
	}
	public function GetWebserviceAccessStrategy(){
		return ConfigurationHelper::getConfigValue("WEBSERVICE_ACCESS_STRATEGY");
	}
	
  }  